import joblib
import numpy as np


def load_load_model(path):
    gbm = joblib.load(path)
    return gbm

def load_forecast(inputs: np.ndarray, model):
    """_summary_

    Args:
        inputs (np.ndarray): 输入序列
        model (_type_): _description_
    """
    out = model.predict([inputs])
    return out


if __name__ == '__main__':
    model = load_load_model('./models/load_pred.joblib')
    inputs = np.random.randn(24)
    print(inputs.shape)
    out = load_forecast(inputs, model)
    print(out)